## python-cliff 3.9.0

=== debian/changelog ===
python-cliff (3.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 12:26:30 +0200

python-cliff (3.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-autopage as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 14:15:20 +0200

python-cliff (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 16:43:39 +0200

python-cliff (3.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:34:57 +0200

python-cliff (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 14:32:51 +0100

## python-cliff 3.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
autopage>=0.4.0 # Apache 2.0
cmd2>=1.0.0 # MIT
PrettyTable>=0.7.2 # BSD
pyparsing>=2.1.0 # MIT
stevedore>=2.0.1 # Apache-2.0
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (3.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 10:54:31 -0500

python-cliff (3.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Nov 2021 08:13:57 +0000

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-autopage (>= 0.4.0),
 python3-cmd2 (>= 0.8.0),
 python3-coverage (>= 4.0),
 python3-docutils,
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-prettytable (>= 0.7.2),
 python3-pyparsing (>= 2.1.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff-doc
Architecture: all
Section: doc
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-autopage (>= 0.4.0),
 python3-cmd2 (>= 0.8.0),
 python3-docutils,
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-pyparsing (>= 2.1.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

## python-cliff 4.0.0

=== requirements.txt ===
autopage>=0.4.0 # Apache 2.0
# TODO: Drop this when Python 3.10 is our minimum supported version
importlib_metadata>=4.4 # Apache-2.0
cmd2>=1.0.0 # MIT
PrettyTable>=0.7.2 # BSD
stevedore>=2.0.1 # Apache-2.0
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:39:46 +0200

python-cliff (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 14:26:15 +0200

python-cliff (3.10.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:14:09 +0100

python-cliff (3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 09:39:03 +0100

python-cliff (3.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 10:41:18 +0100

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-autopage,
 python3-cmd2 (>= 1.0.0),
 python3-coverage <!nocheck>,
 python3-docutils,
 python3-importlib-metadata (>= 4.4),
 python3-openstackdocstheme <!nodoc>,
 python3-prettytable <!nocheck>,
 python3-stestr <!nocheck>,
 python3-stevedore <!nocheck>,
 python3-stevedore <!nodoc>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-autopage,
 python3-cmd2 (>= 1.0.0),
 python3-importlib-metadata (>= 4.4),
 python3-docutils,
 python3-pbr,
 python3-prettytable,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

## python-cliff 4.2.0

=== debian/changelog ===
python-cliff (4.2.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 17:24:11 +0000

python-cliff (4.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 10:55:30 -0500

python-cliff (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:15:46 -0500

python-cliff (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:29:29 -0400

python-cliff (3.10.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:20:57 -0400

## python-cliff 4.3.0

=== debian/changelog ===
python-cliff (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 13:40:58 +0200

python-cliff (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:19:54 +0200

python-cliff (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 12:31:38 +0100

## python-cliff 4.5.0

=== debian/changelog ===
python-cliff (4.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 14:23:49 +0000

python-cliff (4.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:52:45 -0400

## python-cliff 4.6.0

=== debian/changelog ===
python-cliff (4.6.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 16:07:41 +0000

python-cliff (4.6.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:27:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,44 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-autopage,
+ python3-autopage (>= 0.4.0),
  python3-cmd2 (>= 1.0.0),
- python3-coverage <!nocheck>,
+ python3-coverage (>= 4.0),
  python3-docutils,
- python3-importlib-metadata (>= 4.4),
- python3-openstackdocstheme <!nodoc>,
- python3-prettytable <!nocheck>,
- python3-stestr <!nocheck>,
- python3-stevedore <!nocheck>,
- python3-stevedore <!nodoc>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- python3-yaml,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:2.0.1),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
 Homepage: https://github.com/dreamhost/cliff
 Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff-doc
 Architecture: all
 Section: doc
-Build-Profiles: <!nodoc>
 Depends:
  libjs-sphinxdoc,
  ${misc:Depends},
@@ -54,13 +56,15 @@
 Package: python3-cliff
 Architecture: all
 Depends:
- python3-autopage,
+ python3-autopage (>= 0.4.0),
  python3-cmd2 (>= 1.0.0),
- python3-importlib-metadata (>= 4.4),
  python3-docutils,
- python3-pbr,
- python3-prettytable,
- python3-stevedore,
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:2.0.1),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## python-cliff 4.7.0

=== debian/changelog ===
python-cliff (4.7.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Wed, 07 Aug 2024 14:47:44 +0000

python-cliff (4.7.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-cmd2 (>= 1.0.0),
  python3-coverage (>= 4.0),
  python3-docutils,
+ python3-fixtures,
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-prettytable (>= 0.7.2),

## python-cliff 4.8.0

=== debian/changelog ===
python-cliff (4.8.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependency on six, no longer needed.
  * d/control: Drop BD on python3-mock as unittest.mock is now used.
  * d/control,copyright: Update upstream source and homepage locations.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 08:43:40 +0000

## python-cliff 4.9.1

=== requirements.txt ===
autopage>=0.4.0 # Apache 2.0
importlib_metadata>=4.4;python_version<"3.10" # Apache-2.0
cmd2>=1.0.0 # MIT
PrettyTable>=0.7.2 # BSD
stevedore>=2.0.1 # Apache-2.0
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (4.9.1-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 11:09:27 +0000

python-cliff (4.9.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:32:52 +0000

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,9 @@
  python3-coverage (>= 4.0),
  python3-docutils,
  python3-fixtures,
- python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-prettytable (>= 0.7.2),
  python3-pyparsing (>= 2.1.0),
- python3-six (>= 1.10.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:2.0.1),
  python3-subunit (>= 1.0.0),
@@ -34,7 +32,7 @@
  python3-yaml (>= 3.12),
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-cliff
-Homepage: https://github.com/dreamhost/cliff
+Homepage: https://opendev.org/openstack/cliff
 Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff-doc
@@ -63,7 +61,6 @@
  python3-pbr (>= 2.0.0),
  python3-prettytable (>= 0.7.2),
  python3-pyparsing (>= 2.1.0),
- python3-six (>= 1.10.0),
  python3-stevedore (>= 1:2.0.1),
  python3-yaml (>= 3.12),
  ${misc:Depends},

## python-cliff 4.11.0

=== requirements.txt ===
autopage>=0.4.0 # Apache 2.0
cmd2>=1.0.0 # MIT
PrettyTable>=0.7.2 # BSD
stevedore>=2.0.1 # Apache-2.0
PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-cliff (4.11.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:55:36 +0200

python-cliff (4.11.0-2) experimental; urgency=medium

  * Add install-all-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:47:49 +0200

python-cliff (4.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 15:21:10 +0200

python-cliff (4.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 09:19:19 +0100

python-cliff (4.9.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 09:18:16 +0100

python-cliff (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:26:17 +0100

python-cliff (4.7.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090474).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:33:02 +0100

python-cliff (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:42:25 +0200

python-cliff (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 09:33:17 +0200

python-cliff (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:05:48 +0200

python-cliff (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 12:34:36 +0100

python-cliff (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:22:56 +0200

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-autopage,
 python3-cmd2 (>= 1.0.0),
 python3-coverage <!nocheck>,
 python3-docutils,
 python3-openstackdocstheme <!nodoc>,
 python3-prettytable <!nocheck>,
 python3-stestr <!nocheck>,
 python3-stevedore <!nocheck>,
 python3-stevedore <!nodoc>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
Homepage: https://github.com/dreamhost/cliff
Testsuite: autopkgtest-pkg-python

Package: python-cliff-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 libjs-sphinxdoc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

Package: python3-cliff
Architecture: all
Depends:
 python3-autopage,
 python3-cmd2 (>= 1.0.0),
 python3-docutils,
 python3-pbr,
 python3-prettytable,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/cliff.git
include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf cliff.egg-info build AUTHOR ChangeLog
	find . -type d -iname __pycache__ -exec rm -rf {} \; || true

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'cliff\.tests\.(?!(.*test_formatters_table.TestTableFormatter.test.*|.*test_formatters_table.TestListFormatter.test_formattable_column.*|.*test_formatters_table.TestListFormatter.test_table_formatter_formattable_column.*|.*test_formatters_table.TestListFormatter.test_table_list_formatter.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_envvar_big.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_envvar_tiny.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_cli_param_unlimited_tw.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_no_cli_param.*|.*test_formatters_table.TestTerminalWidth.test_table_formatter_no_cli_param_unlimited_tw.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -a -c doc/source doc/source \
	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
	dh_sphinxdoc -ppython-cliff-doc
endif

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/python-cliff-doc -iname '*.pyc' -delete
	find $(CURDIR)/debian/python-cliff-doc -iname '__pycache__' -delete

override_dh_python3:
	dh_python3 -ppython3-cliff

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt -X.py

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cliff/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-cliff 4.13.1

=== debian/changelog ===
python-cliff (4.13.1-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.13.1
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/fix-py314-stevedore-extensionmanager-typing.patch: Add patch for
    Python 3.14 runtime subscription error.
  * d/p/fix-tests-help-usage-progname.patch: Relax help usage assertion
    for module-based runners.
  * d/p/fix-sphinxext-py314-format-actions-usage.patch: Fix sphinxext
    _format_usage for Python 3.14 argparse API change.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 09:00:00 -0800

python-cliff (4.11.0-0ubuntu2) questing; urgency=medium

  * d/p/include-submodules-in-build.patch: Add recursive module discovery
    with pyproject.toml change. (LP: #2125802)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 26 Sep 2025 13:24:32 -0700

python-cliff (4.11.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/watch: update upstream reference.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/rules: delete demo __pycache__ folder
  * d/{watch,upstream/signing-key.asc}: setup upstream tarball signing
    key verification.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2122726).

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 14:01:36 -0700

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
    http://tarballs.openstack.org/cliff/ cliff-(\d.*)\.tar\.gz

## python-cliff 4.13.2

=== requirements.txt ===
autopage>=0.4.0 # Apache 2.0
cmd2>=1.0.0 # MIT
PrettyTable>=0.7.2 # BSD
stevedore>=5.6.0 # Apache-2.0
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-cliff (4.13.2-1) experimental; urgency=medium

  * New upstream release.
  * Fix version of (build-)depends on stevedore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 13:51:37 +0100

python-cliff (4.11.0-5) unstable; urgency=medium

  * Add stop-using-private-argparse-functions.patch (Closes: #1127523).
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Feb 2026 14:39:15 +0100

python-cliff (4.11.0-4) unstable; urgency=medium

  * Fixed upstream URL in d/copyright and homepage.
  * Blacklist test_help.TestHelp.test_show_help_for_help() that's having the
    wrong usage for a Debian package (Closes: #1125079).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2025 13:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -21,15 +21,15 @@
  python3-openstackdocstheme <!nodoc>,
  python3-prettytable <!nocheck>,
  python3-stestr <!nocheck>,
- python3-stevedore <!nocheck>,
- python3-stevedore <!nodoc>,
+ python3-stevedore (>= 5.6.0) <!nocheck>,
+ python3-stevedore (>= 5.6.0) <!nodoc>,
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  python3-yaml,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cliff
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cliff.git
-Homepage: https://github.com/dreamhost/cliff
+Homepage: https://github.com/openstack/cliff
 Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff-doc
@@ -58,7 +58,7 @@
  python3-docutils,
  python3-pbr,
  python3-prettytable,
- python3-stevedore,
+ python3-stevedore (>= 5.6.0),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
